from odoo.addons.product_barcodelookup.tools import barcode_lookup_service
from odoo.addons.saas_worker.const import PRODUCT_BARCODELOOKUP_APIKEY


def get_barcode_lookup_key(self):
    return self.env['ir.config_parameter'].sudo().get_param('product_barcodelookup.api_key', PRODUCT_BARCODELOOKUP_APIKEY)


barcode_lookup_service.get_barcode_lookup_key = get_barcode_lookup_key
